<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row" id="newWorksheet">
            <div class="col-lg-4">
                <div class="card">
                    <h5 class="card-header info-color white-text text-center py-4">
                        <strong>Új hibajegy</strong>
                    </h5>
                    <div class="card-body px-lg-5 pt-0">
                        <form class="" style="color: #757575;" 
                              method="POST" th:action="@{/new-worksheet}"
                              th:object="${worksheet}"
                              enctype="multipart/form-data">

                            <div class="md-form mt-3">
                                <label for="phoneType">Telefon típusa</label>
                                <input id="phoneType" 
                                       name="phoneType" 
                                       type="text"
                                       th:field="*{phoneType}"
                                       placeholder="pl. Samsung Galaxy A51"
                                       class="form-control" 
                                       required="required"
                                       >
                            </div>

                            <div class="md-form">
                                <label for="imeiNumber">IMEI száma</label>
                                <input id="imeiNumber" 
                                       name="imeiNumber" 
                                       type="number" 
                                       th:field="*{imeiNumber}"
                                       placeholder="pl. 536197892696243"
                                       class="form-control" 
                                       required="required">
                            </div>

                            <div class="md-form">
                                <label for="issueDescription">Hiba leírása</label>
                                <textarea name="issueDescription" 
                                          class="form-control md-textarea" 
                                          required="required" 
                                          th:field="*{issueDescription}"
                                          rows="3">
                                </textarea>
                            </div>

                            <div class="md-form">
                                <input name="image" type="file" id="file" multiple>                                
                            </div> 
                            <div class="d-flex justify-content-end form-group">
                                <button class="btn btn-primary" id="submit">
                                    Küldés
                                    <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                                </button>
                            </div>
                        </form>
                    </div>
                </div> 
            </div>
            <div class="col-lg-8">
                <div class="card">
                    <h5 class="card-header info-color white-text text-center py-4">
                        <strong>Hibajegyeim</strong>
                    </h5>
                </div>    
                <div class="accordion" id="accordion">
                    <div class="card">
                        <div class="card-header bg-light"
                             style="cursor: pointer;"
                             data-toggle="collapse"
                             id="">
                            <div class="row">
                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12 border border-left-0 border-bottom-0 border-top-0 border-left-0">
                                    <h1 class="float-left">
                                        <i class="fas fa-plus mr-4"></i>
                                    </h1>    
                                    <p class="float-left">
                                        <strong>Telefon típusa: </strong><br>                                        
                                    </p> 
                                </div> 
                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
                                    <p>
                                        <strong>IMEI száma: </strong><br>
                                    </p>            
                                </div>
                            </div>
                        </div>

                        <div id=""
                             class="collapse">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                        <p>
                                            <strong>Hiba leírása: </strong><br>
                                        </p>
                                        <p>
                                            Hiba leírása
                                        </p>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                        <img src="" alt="" width="300">
                                    </div>    
                                </div> 
                            </div>
                            <div class="card-body"> 
                                <div class="row d-flex justify-content-center">
                                    <div class="col-12">
                                        <ul id="progressbar" class="text-center">
                                            <li class="active step0"></li>
                                            <li class="step0"></li>
                                            <li class="step0"></li>
                                            <li class="step0"></li>
                                        </ul>
                                        <ul id="progressbar" class="text-center">
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                            <li class="step0"></li>
                                            <li class="step0"></li>
                                        </ul>
                                        <ul id="progressbar" class="text-center">
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                            <li class="step0"></li>
                                        </ul>
                                        <ul id="progressbar" class="text-center">
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                            <li class="active step0"></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="row justify-content-between top">
                                    <div class="row d-flex icon-content"> <img class="icon" src="images/worksheet/offer.png">
                                        <div class="d-flex flex-column">
                                            <p class="font-weight-bold">Árajánlat<br>készítése</p>
                                        </div>
                                    </div>
                                    <div class="row d-flex icon-content"> <img class="icon" src="images/worksheet/repair.png">
                                        <div class="d-flex flex-column">
                                            <p class="font-weight-bold">Javítás<br>alatt</p>
                                        </div>
                                    </div>
                                    <div class="row d-flex icon-content"> <img class="icon" src="images/worksheet/smiley.png">
                                        <div class="d-flex flex-column">
                                            <p class="font-weight-bold">Javítás<br>elkészült</p>
                                        </div>
                                    </div>
                                    <div class="row d-flex icon-content"> <img class="icon" src="images/worksheet/tick.png">
                                        <div class="d-flex flex-column">
                                            <p class="font-weight-bold">Hibajegy<br>lezárva</p>
                                        </div>
                                    </div>
                                </div>
                                <form action="EditWorksheetServlet" method="POST" class="text-center">
                                    <input type="hidden" name="worksheetId" value="${worksheet.workSheetId}">
                                    <button type="submit" class="close" data-dismiss="modal" aria-label="Close">
                                        <img class="icon m-3" size="10px" src="images/worksheet/edit.png">
                                    </button>
                                </form>
                            </div>        
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <th:block th:include="fragments/footer"></th:block>
    </div>
    <script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
    </script>
</body>
</html>
